Skip to main content
GET
Get Scan

Authorizations

CORGEA-TOKEN
string
header
required

API key for authentication

Path Parameters

scan_id
string<uuid>
required

The ID of the scan

Response

Scan details retrieved successfully

id
string<uuid>
project
string
repo
string
branch
string
status
enum<string>

Scan progress. "scanning" and "processing" are in-flight states, "complete" means the scan finished, and "incomplete" means it failed.

Available options:
scanning,
processing,
complete,
incomplete
engine
string
created_at
string<date-time>
time_taken
number | null

Scan duration in seconds, or null until the scan finishes processing

git_sha
string | null

Commit SHA associated with the scan

worktree_dirty
boolean | null

Whether the scan included uncommitted local changes. Null for scans created without a worktree state signal.

metadata
object | null

User-supplied metadata associated with the scan